function [porcenF] = PearsonF(aa,aaF)

[m,n] = size(aa);
[m1,n1] = size(aaF);%referencia
nbits = 2^14;
y = 15;

bb = aaF;

if m1 > m
    for i=m+1:1:m1
        for k=1:1:n1
           aa(i,k) = 0; 
        end
    end
end

Ccp = zeros(1,m1);%se usa el tamaño de filas del audio como referencia, por tanto es el de aa
x1 = zeros(1,n);
y1 = zeros(1,n);

for i=1:m1
    for j=1:y 
    x1(j) = bb(i,j);%cada fila de valores 
    y1(j) = aa(i,j);%cada fila de valores 
    end
    
xm1=(mean(x1)); %xm1=fix(mean(bb(i,:))); Hace el valor promedio de cada fila para cada arregloe aa y bb que se pasaron a x1 y y1
ym1=(mean(y1)); %ym1=fix(mean(aa(i,:))); Hace el valor promedio de cada fila para cada arregloe aa y bb que se pasaron a x1 y y1

% Covarianza y Desviación Estándar
Sxy1 = 0;
vx1 = 0;
vy1 = 0; 

    for k = 1:1:y
        xiXm = x1(k)-xm1;
        yiYm = y1(k)-ym1;
        Sxy1 =Sxy1+(floor(xiXm/y)*yiYm);%Ecuanción de Covarianza
        vx1 = vx1 + xiXm^2; %Ecuación de Varianza
        vy1 = vy1 + yiYm^2;
    end
dx1 = fix(sqrt(vx1)/(y-1)); %Ecuación de Desviación Estándar 
dy1 = fix(sqrt(vy1));       %Ecuación de Desviación Estándar        
dxdy1 = dx1*dy1;
Ccp(i) =fix((Sxy1)/(dxdy1/nbits));
%*+*+*+Datos para Quartus II*+*+*+ -> Para crear las memorias ROM 
    %for q = 1:1:y
    %    Xm(i,q)=floor((x1(q)-xm1)/y); %Resta para el cálculo de la covarianza entre elc omando end
    %end
D(i)=floor(sqrt(vx1)/(y-1)); %Desviación estandar del comando de referencia 
end
c=0; %cantidaddecoeficientesquesuperanelumbraldeigualdad 
for u = 1:m1
    if Ccp(u) >= 15291
        c=c+1;
    end
end
 
porcenF = c*100/(m1); %PorcentajedeCoeficientesdePearsonquesuperanelumbraldecomparación 
% if c >= m1-1
%     comando = 'Usted dijo Frio'; 
% else
%     comando = 'Usted no dijo Frio';
% end

end

